%define module	YAML
%define name	perl-%{module}
%define version 0.65
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	YAML Ain't Markup Language (tm)
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/YAML/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.6.1
%endif
BuildRequires:	perl-Test-Base >= 0.47
Buildarch:	noarch

%description
The YAML.pm module implements a YAML Loader and Dumper based on the YAML 1.0
specification. http://www.yaml.org/spec/

YAML is a generic data serialization language that is optimized for human
readability. It can be used to express the data structures of most modern
programming languages. (Including Perl!!!)

For information on the YAML syntax, please refer to the YAML specification.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes COMPATIBILITY README
%{_bindir}/*
%{perl_vendorlib}/YAML*
%{perl_vendorlib}/Test/YAML*
%{_mandir}/*/*



%changelog
* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.65-1mdv2008.0
+ Revision: 46535
- update to new version 0.65


* Tue Jul 04 2006 Scott Karns <scottk@mandriva.org> 0.62-1mdv2007.0
- Version 0.62 -- Upstream incorporation blessed ref LoadFile/DumpFile
  patch

* Mon Jul 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-2mdv2007.0
- Patch 0: Allow to use LoadFile/DumpFile on filenames that are blessed
  references with overloaded stringification.

* Sun Jul 02 2006 Scott Karns <scottk@mandriva.org> 0.61-1mdv2007.0
- 0.61

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.58-1mdk
- 0.58

* Thu Feb 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.57-1mdk
- 0.57

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53
- Update BuildRequires

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.52-1mdk
- 0.52

* Wed Jan 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.51-2mdk
- Add BuildRequires : perl-Test-Base

* Wed Jan 18 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.51-1mdk
- 0.51

* Tue Jan 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.50-1mdk
- 0.50

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdk 
- new release
- spec cleanup
- disable test, we need a more recent Test module in core

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.36-1mdk
- 0.36
- add tests

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.35-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.35-2mdk 
- rpmbuildupdate aware

* Fri Dec 05 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.35-1mdk
- first mdk release

